
public class MyCustomerStack implements CustomerStack {
	final private static int DEFAULT_CAPACITY = 50;
	
	private Customer[] S;
	private int top; //top of stack
	
	// constructor
	public MyCustomerStack(int capacity){
		S = new Customer[capacity];
		top=-1; //empty stack
	}
	
	// default constructor
	public MyCustomerStack(){
		S = new Customer[DEFAULT_CAPACITY];
		top=-1;
	}
	
	/*
	 * Need to throw exception when stack is full.
	 */
	public void push(Customer x){
		S[++top]=x;
	}
	
	
	/*
	 * Delete top element of a non-empty stack, and return it.
	 * If stack is empty, throw an exception.
	 * 
	 * Input specification: 0 <= top && top <= S.length-1
	 * Output specification: returnValue==S[top] && top_out=top-1 && -1 <= top_out && top_out <= S.length-1
	 */
	public Customer pop(){
		if(top>=0)
			return S[top--];
		else
			throw new RuntimeException("Stack is empty.");
	}
	
	public String toString(){
		String s="Stack of capacity "+S.length+", ";
		for(int i=0; i<=top; i++){
			s+=S[i].toString() +" ";
		}
		s+="<-top";
		return s;
	}
	

}
